InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::GCCCommandNexoTEDSReadResponse Struct Reference
Inheritance diagram for inertia::GCCCommandNexoTEDSReadResponse:
[legend]
Collaboration diagram for inertia::GCCCommandNexoTEDSReadResponse:
[legend]

## Public Member Functions
| GCCCommandNexoTEDSReadResponse (const uint8_t *packet, const unsigned max_size)
| GCCCommandNexoTEDSReadResponse (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
bool | IsResponse () const override
Public Member Functions inherited from inertia::GCCCommand
InertiaCommandGroups | GetGroup () const override
uint8_t | GetType () const override

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
Static Public Member Functions inherited from inertia::GCCCommandNexo
static const po::options_description | GetOptionDescription ()
Static Public Member Functions inherited from inertia::GCCCommand
static InertiaCommandPtr | Parse (const uint8_t *in, unsigned const packetSize)
static InertiaCommandPtr | Parse (std::wstring const &argString)

## Public Attributes
std::vector< uint8_t > | outbound
Public Attributes inherited from inertia::GCCCommandNexo
uint8_t | channelMask
uint8_t | channelDescriptorID
uint8_t | commandID
Public Attributes inherited from inertia::GCCCommand
uint8_t | gccDescriptorTypeID
ConfigType | gccConfigTypeID

## Additional Inherited Members
Protected Member Functions inherited from inertia::GCCCommandNexo
| GCCCommandNexo (uint8_t const &_channelMask, uint8_t const &_channelDescriptorID, uint8_t const &_commandID)
| GCCCommandNexo (const uint8_t *packet, const unsigned max_size)
| GCCCommandNexo (std::wstring const &argString)
Protected Member Functions inherited from inertia::GCCCommand
| GCCCommand (uint8_t const &_gccDescriptorTypeID, ConfigType const &_gccConfigTypeID)
| GCCCommand (const uint8_t *packet, const unsigned max_size)
| GCCCommand (std::wstring const &argString)
Protected Member Functions inherited from inertia::InertiaCommand
| InertiaCommand (const uint8_t *packet, const unsigned max_size)
| InertiaCommand (std::wstring const &argString)
| InertiaCommand (InertiaCommand const &)=default
InertiaCommand & | operator= (InertiaCommand const &)=default
Static Protected Member Functions inherited from inertia::GCCCommand
static const po::options_description | GetOptionDescription ()

## Member Function Documentation

## ◆ GetBytes()

void inertia::GCCCommandNexoTEDSReadResponse::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Reimplemented from inertia::GCCCommandNexo.

## ◆ IsResponse()

bool inertia::GCCCommandNexoTEDSReadResponse::IsResponse | ( |  | ) | const
| override virtual

Implements inertia::InertiaCommand.

## ◆ ToString()

const std::wstring inertia::GCCCommandNexoTEDSReadResponse::ToString | ( |  | ) | const
| override virtual

Reimplemented from inertia::GCCCommandNexo.

The documentation for this struct was generated from the following file:

- GccCommands.h